IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network227.184.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
227.184.0.0- Broadcast address
227.191.255.255- First usable
227.184.0.1- Last usable
227.191.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E3B80000· Integer3820486656to3821010943 - Reverse DNS zones
184.227.in-addr.arpa185.227.in-addr.arpa186.227.in-addr.arpa187.227.in-addr.arpa188.227.in-addr.arpa189.227.in-addr.arpa190.227.in-addr.arpa191.227.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100011.10111000.00000000.00000000 | 227.184.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11100011.10111000.00000000.00000000 | 227.184.0.0 |
| Broadcast | 11100011.10111111.11111111.11111111 | 227.191.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
227.184.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 227.184.0.0/24 | 227.184.0.1 to 227.184.0.254 | 227.184.0.255 | 254 |
| 2 | 227.184.1.0/24 | 227.184.1.1 to 227.184.1.254 | 227.184.1.255 | 254 |
| 3 | 227.184.2.0/24 | 227.184.2.1 to 227.184.2.254 | 227.184.2.255 | 254 |
| 4 | 227.184.3.0/24 | 227.184.3.1 to 227.184.3.254 | 227.184.3.255 | 254 |
| 5 | 227.184.4.0/24 | 227.184.4.1 to 227.184.4.254 | 227.184.4.255 | 254 |
| 6 | 227.184.5.0/24 | 227.184.5.1 to 227.184.5.254 | 227.184.5.255 | 254 |
| 7 | 227.184.6.0/24 | 227.184.6.1 to 227.184.6.254 | 227.184.6.255 | 254 |
| 8 | 227.184.7.0/24 | 227.184.7.1 to 227.184.7.254 | 227.184.7.255 | 254 |
| 9 | 227.184.8.0/24 | 227.184.8.1 to 227.184.8.254 | 227.184.8.255 | 254 |
| 10 | 227.184.9.0/24 | 227.184.9.1 to 227.184.9.254 | 227.184.9.255 | 254 |
| 11 | 227.184.10.0/24 | 227.184.10.1 to 227.184.10.254 | 227.184.10.255 | 254 |
| 12 | 227.184.11.0/24 | 227.184.11.1 to 227.184.11.254 | 227.184.11.255 | 254 |
| 13 | 227.184.12.0/24 | 227.184.12.1 to 227.184.12.254 | 227.184.12.255 | 254 |
| 14 | 227.184.13.0/24 | 227.184.13.1 to 227.184.13.254 | 227.184.13.255 | 254 |
| 15 | 227.184.14.0/24 | 227.184.14.1 to 227.184.14.254 | 227.184.14.255 | 254 |
| 16 | 227.184.15.0/24 | 227.184.15.1 to 227.184.15.254 | 227.184.15.255 | 254 |
| 17 | 227.184.16.0/24 | 227.184.16.1 to 227.184.16.254 | 227.184.16.255 | 254 |
| 18 | 227.184.17.0/24 | 227.184.17.1 to 227.184.17.254 | 227.184.17.255 | 254 |
| 19 | 227.184.18.0/24 | 227.184.18.1 to 227.184.18.254 | 227.184.18.255 | 254 |
| 20 | 227.184.19.0/24 | 227.184.19.1 to 227.184.19.254 | 227.184.19.255 | 254 |
| 21 | 227.184.20.0/24 | 227.184.20.1 to 227.184.20.254 | 227.184.20.255 | 254 |
| 22 | 227.184.21.0/24 | 227.184.21.1 to 227.184.21.254 | 227.184.21.255 | 254 |
| 23 | 227.184.22.0/24 | 227.184.22.1 to 227.184.22.254 | 227.184.22.255 | 254 |
| 24 | 227.184.23.0/24 | 227.184.23.1 to 227.184.23.254 | 227.184.23.255 | 254 |
| 25 | 227.184.24.0/24 | 227.184.24.1 to 227.184.24.254 | 227.184.24.255 | 254 |
| 26 | 227.184.25.0/24 | 227.184.25.1 to 227.184.25.254 | 227.184.25.255 | 254 |
| 27 | 227.184.26.0/24 | 227.184.26.1 to 227.184.26.254 | 227.184.26.255 | 254 |
| 28 | 227.184.27.0/24 | 227.184.27.1 to 227.184.27.254 | 227.184.27.255 | 254 |
| 29 | 227.184.28.0/24 | 227.184.28.1 to 227.184.28.254 | 227.184.28.255 | 254 |
| 30 | 227.184.29.0/24 | 227.184.29.1 to 227.184.29.254 | 227.184.29.255 | 254 |
| 31 | 227.184.30.0/24 | 227.184.30.1 to 227.184.30.254 | 227.184.30.255 | 254 |
| 32 | 227.184.31.0/24 | 227.184.31.1 to 227.184.31.254 | 227.184.31.255 | 254 |
| 33 | 227.184.32.0/24 | 227.184.32.1 to 227.184.32.254 | 227.184.32.255 | 254 |
| 34 | 227.184.33.0/24 | 227.184.33.1 to 227.184.33.254 | 227.184.33.255 | 254 |
| 35 | 227.184.34.0/24 | 227.184.34.1 to 227.184.34.254 | 227.184.34.255 | 254 |
| 36 | 227.184.35.0/24 | 227.184.35.1 to 227.184.35.254 | 227.184.35.255 | 254 |
| 37 | 227.184.36.0/24 | 227.184.36.1 to 227.184.36.254 | 227.184.36.255 | 254 |
| 38 | 227.184.37.0/24 | 227.184.37.1 to 227.184.37.254 | 227.184.37.255 | 254 |
| 39 | 227.184.38.0/24 | 227.184.38.1 to 227.184.38.254 | 227.184.38.255 | 254 |
| 40 | 227.184.39.0/24 | 227.184.39.1 to 227.184.39.254 | 227.184.39.255 | 254 |
| 41 | 227.184.40.0/24 | 227.184.40.1 to 227.184.40.254 | 227.184.40.255 | 254 |
| 42 | 227.184.41.0/24 | 227.184.41.1 to 227.184.41.254 | 227.184.41.255 | 254 |
| 43 | 227.184.42.0/24 | 227.184.42.1 to 227.184.42.254 | 227.184.42.255 | 254 |
| 44 | 227.184.43.0/24 | 227.184.43.1 to 227.184.43.254 | 227.184.43.255 | 254 |
| 45 | 227.184.44.0/24 | 227.184.44.1 to 227.184.44.254 | 227.184.44.255 | 254 |
| 46 | 227.184.45.0/24 | 227.184.45.1 to 227.184.45.254 | 227.184.45.255 | 254 |
| 47 | 227.184.46.0/24 | 227.184.46.1 to 227.184.46.254 | 227.184.46.255 | 254 |
| 48 | 227.184.47.0/24 | 227.184.47.1 to 227.184.47.254 | 227.184.47.255 | 254 |
| 49 | 227.184.48.0/24 | 227.184.48.1 to 227.184.48.254 | 227.184.48.255 | 254 |
| 50 | 227.184.49.0/24 | 227.184.49.1 to 227.184.49.254 | 227.184.49.255 | 254 |
| 51 | 227.184.50.0/24 | 227.184.50.1 to 227.184.50.254 | 227.184.50.255 | 254 |
| 52 | 227.184.51.0/24 | 227.184.51.1 to 227.184.51.254 | 227.184.51.255 | 254 |
| 53 | 227.184.52.0/24 | 227.184.52.1 to 227.184.52.254 | 227.184.52.255 | 254 |
| 54 | 227.184.53.0/24 | 227.184.53.1 to 227.184.53.254 | 227.184.53.255 | 254 |
| 55 | 227.184.54.0/24 | 227.184.54.1 to 227.184.54.254 | 227.184.54.255 | 254 |
| 56 | 227.184.55.0/24 | 227.184.55.1 to 227.184.55.254 | 227.184.55.255 | 254 |
| 57 | 227.184.56.0/24 | 227.184.56.1 to 227.184.56.254 | 227.184.56.255 | 254 |
| 58 | 227.184.57.0/24 | 227.184.57.1 to 227.184.57.254 | 227.184.57.255 | 254 |
| 59 | 227.184.58.0/24 | 227.184.58.1 to 227.184.58.254 | 227.184.58.255 | 254 |
| 60 | 227.184.59.0/24 | 227.184.59.1 to 227.184.59.254 | 227.184.59.255 | 254 |
| 61 | 227.184.60.0/24 | 227.184.60.1 to 227.184.60.254 | 227.184.60.255 | 254 |
| 62 | 227.184.61.0/24 | 227.184.61.1 to 227.184.61.254 | 227.184.61.255 | 254 |
| 63 | 227.184.62.0/24 | 227.184.62.1 to 227.184.62.254 | 227.184.62.255 | 254 |
| 64 | 227.184.63.0/24 | 227.184.63.1 to 227.184.63.254 | 227.184.63.255 | 254 |
| 65 | 227.184.64.0/24 | 227.184.64.1 to 227.184.64.254 | 227.184.64.255 | 254 |
| 66 | 227.184.65.0/24 | 227.184.65.1 to 227.184.65.254 | 227.184.65.255 | 254 |
| 67 | 227.184.66.0/24 | 227.184.66.1 to 227.184.66.254 | 227.184.66.255 | 254 |
| 68 | 227.184.67.0/24 | 227.184.67.1 to 227.184.67.254 | 227.184.67.255 | 254 |
| 69 | 227.184.68.0/24 | 227.184.68.1 to 227.184.68.254 | 227.184.68.255 | 254 |
| 70 | 227.184.69.0/24 | 227.184.69.1 to 227.184.69.254 | 227.184.69.255 | 254 |
| 71 | 227.184.70.0/24 | 227.184.70.1 to 227.184.70.254 | 227.184.70.255 | 254 |
| 72 | 227.184.71.0/24 | 227.184.71.1 to 227.184.71.254 | 227.184.71.255 | 254 |
| 73 | 227.184.72.0/24 | 227.184.72.1 to 227.184.72.254 | 227.184.72.255 | 254 |
| 74 | 227.184.73.0/24 | 227.184.73.1 to 227.184.73.254 | 227.184.73.255 | 254 |
| 75 | 227.184.74.0/24 | 227.184.74.1 to 227.184.74.254 | 227.184.74.255 | 254 |
| 76 | 227.184.75.0/24 | 227.184.75.1 to 227.184.75.254 | 227.184.75.255 | 254 |
| 77 | 227.184.76.0/24 | 227.184.76.1 to 227.184.76.254 | 227.184.76.255 | 254 |
| 78 | 227.184.77.0/24 | 227.184.77.1 to 227.184.77.254 | 227.184.77.255 | 254 |
| 79 | 227.184.78.0/24 | 227.184.78.1 to 227.184.78.254 | 227.184.78.255 | 254 |
| 80 | 227.184.79.0/24 | 227.184.79.1 to 227.184.79.254 | 227.184.79.255 | 254 |
| 81 | 227.184.80.0/24 | 227.184.80.1 to 227.184.80.254 | 227.184.80.255 | 254 |
| 82 | 227.184.81.0/24 | 227.184.81.1 to 227.184.81.254 | 227.184.81.255 | 254 |
| 83 | 227.184.82.0/24 | 227.184.82.1 to 227.184.82.254 | 227.184.82.255 | 254 |
| 84 | 227.184.83.0/24 | 227.184.83.1 to 227.184.83.254 | 227.184.83.255 | 254 |
| 85 | 227.184.84.0/24 | 227.184.84.1 to 227.184.84.254 | 227.184.84.255 | 254 |
| 86 | 227.184.85.0/24 | 227.184.85.1 to 227.184.85.254 | 227.184.85.255 | 254 |
| 87 | 227.184.86.0/24 | 227.184.86.1 to 227.184.86.254 | 227.184.86.255 | 254 |
| 88 | 227.184.87.0/24 | 227.184.87.1 to 227.184.87.254 | 227.184.87.255 | 254 |
| 89 | 227.184.88.0/24 | 227.184.88.1 to 227.184.88.254 | 227.184.88.255 | 254 |
| 90 | 227.184.89.0/24 | 227.184.89.1 to 227.184.89.254 | 227.184.89.255 | 254 |
| 91 | 227.184.90.0/24 | 227.184.90.1 to 227.184.90.254 | 227.184.90.255 | 254 |
| 92 | 227.184.91.0/24 | 227.184.91.1 to 227.184.91.254 | 227.184.91.255 | 254 |
| 93 | 227.184.92.0/24 | 227.184.92.1 to 227.184.92.254 | 227.184.92.255 | 254 |
| 94 | 227.184.93.0/24 | 227.184.93.1 to 227.184.93.254 | 227.184.93.255 | 254 |
| 95 | 227.184.94.0/24 | 227.184.94.1 to 227.184.94.254 | 227.184.94.255 | 254 |
| 96 | 227.184.95.0/24 | 227.184.95.1 to 227.184.95.254 | 227.184.95.255 | 254 |
| 97 | 227.184.96.0/24 | 227.184.96.1 to 227.184.96.254 | 227.184.96.255 | 254 |
| 98 | 227.184.97.0/24 | 227.184.97.1 to 227.184.97.254 | 227.184.97.255 | 254 |
| 99 | 227.184.98.0/24 | 227.184.98.1 to 227.184.98.254 | 227.184.98.255 | 254 |
| 100 | 227.184.99.0/24 | 227.184.99.1 to 227.184.99.254 | 227.184.99.255 | 254 |
| 101 | 227.184.100.0/24 | 227.184.100.1 to 227.184.100.254 | 227.184.100.255 | 254 |
| 102 | 227.184.101.0/24 | 227.184.101.1 to 227.184.101.254 | 227.184.101.255 | 254 |
| 103 | 227.184.102.0/24 | 227.184.102.1 to 227.184.102.254 | 227.184.102.255 | 254 |
| 104 | 227.184.103.0/24 | 227.184.103.1 to 227.184.103.254 | 227.184.103.255 | 254 |
| 105 | 227.184.104.0/24 | 227.184.104.1 to 227.184.104.254 | 227.184.104.255 | 254 |
| 106 | 227.184.105.0/24 | 227.184.105.1 to 227.184.105.254 | 227.184.105.255 | 254 |
| 107 | 227.184.106.0/24 | 227.184.106.1 to 227.184.106.254 | 227.184.106.255 | 254 |
| 108 | 227.184.107.0/24 | 227.184.107.1 to 227.184.107.254 | 227.184.107.255 | 254 |
| 109 | 227.184.108.0/24 | 227.184.108.1 to 227.184.108.254 | 227.184.108.255 | 254 |
| 110 | 227.184.109.0/24 | 227.184.109.1 to 227.184.109.254 | 227.184.109.255 | 254 |
| 111 | 227.184.110.0/24 | 227.184.110.1 to 227.184.110.254 | 227.184.110.255 | 254 |
| 112 | 227.184.111.0/24 | 227.184.111.1 to 227.184.111.254 | 227.184.111.255 | 254 |
| 113 | 227.184.112.0/24 | 227.184.112.1 to 227.184.112.254 | 227.184.112.255 | 254 |
| 114 | 227.184.113.0/24 | 227.184.113.1 to 227.184.113.254 | 227.184.113.255 | 254 |
| 115 | 227.184.114.0/24 | 227.184.114.1 to 227.184.114.254 | 227.184.114.255 | 254 |
| 116 | 227.184.115.0/24 | 227.184.115.1 to 227.184.115.254 | 227.184.115.255 | 254 |
| 117 | 227.184.116.0/24 | 227.184.116.1 to 227.184.116.254 | 227.184.116.255 | 254 |
| 118 | 227.184.117.0/24 | 227.184.117.1 to 227.184.117.254 | 227.184.117.255 | 254 |
| 119 | 227.184.118.0/24 | 227.184.118.1 to 227.184.118.254 | 227.184.118.255 | 254 |
| 120 | 227.184.119.0/24 | 227.184.119.1 to 227.184.119.254 | 227.184.119.255 | 254 |
| 121 | 227.184.120.0/24 | 227.184.120.1 to 227.184.120.254 | 227.184.120.255 | 254 |
| 122 | 227.184.121.0/24 | 227.184.121.1 to 227.184.121.254 | 227.184.121.255 | 254 |
| 123 | 227.184.122.0/24 | 227.184.122.1 to 227.184.122.254 | 227.184.122.255 | 254 |
| 124 | 227.184.123.0/24 | 227.184.123.1 to 227.184.123.254 | 227.184.123.255 | 254 |
| 125 | 227.184.124.0/24 | 227.184.124.1 to 227.184.124.254 | 227.184.124.255 | 254 |
| 126 | 227.184.125.0/24 | 227.184.125.1 to 227.184.125.254 | 227.184.125.255 | 254 |
| 127 | 227.184.126.0/24 | 227.184.126.1 to 227.184.126.254 | 227.184.126.255 | 254 |
| 128 | 227.184.127.0/24 | 227.184.127.1 to 227.184.127.254 | 227.184.127.255 | 254 |
| 129 | 227.184.128.0/24 | 227.184.128.1 to 227.184.128.254 | 227.184.128.255 | 254 |
| 130 | 227.184.129.0/24 | 227.184.129.1 to 227.184.129.254 | 227.184.129.255 | 254 |
| 131 | 227.184.130.0/24 | 227.184.130.1 to 227.184.130.254 | 227.184.130.255 | 254 |
| 132 | 227.184.131.0/24 | 227.184.131.1 to 227.184.131.254 | 227.184.131.255 | 254 |
| 133 | 227.184.132.0/24 | 227.184.132.1 to 227.184.132.254 | 227.184.132.255 | 254 |
| 134 | 227.184.133.0/24 | 227.184.133.1 to 227.184.133.254 | 227.184.133.255 | 254 |
| 135 | 227.184.134.0/24 | 227.184.134.1 to 227.184.134.254 | 227.184.134.255 | 254 |
| 136 | 227.184.135.0/24 | 227.184.135.1 to 227.184.135.254 | 227.184.135.255 | 254 |
| 137 | 227.184.136.0/24 | 227.184.136.1 to 227.184.136.254 | 227.184.136.255 | 254 |
| 138 | 227.184.137.0/24 | 227.184.137.1 to 227.184.137.254 | 227.184.137.255 | 254 |
| 139 | 227.184.138.0/24 | 227.184.138.1 to 227.184.138.254 | 227.184.138.255 | 254 |
| 140 | 227.184.139.0/24 | 227.184.139.1 to 227.184.139.254 | 227.184.139.255 | 254 |
| 141 | 227.184.140.0/24 | 227.184.140.1 to 227.184.140.254 | 227.184.140.255 | 254 |
| 142 | 227.184.141.0/24 | 227.184.141.1 to 227.184.141.254 | 227.184.141.255 | 254 |
| 143 | 227.184.142.0/24 | 227.184.142.1 to 227.184.142.254 | 227.184.142.255 | 254 |
| 144 | 227.184.143.0/24 | 227.184.143.1 to 227.184.143.254 | 227.184.143.255 | 254 |
| 145 | 227.184.144.0/24 | 227.184.144.1 to 227.184.144.254 | 227.184.144.255 | 254 |
| 146 | 227.184.145.0/24 | 227.184.145.1 to 227.184.145.254 | 227.184.145.255 | 254 |
| 147 | 227.184.146.0/24 | 227.184.146.1 to 227.184.146.254 | 227.184.146.255 | 254 |
| 148 | 227.184.147.0/24 | 227.184.147.1 to 227.184.147.254 | 227.184.147.255 | 254 |
| 149 | 227.184.148.0/24 | 227.184.148.1 to 227.184.148.254 | 227.184.148.255 | 254 |
| 150 | 227.184.149.0/24 | 227.184.149.1 to 227.184.149.254 | 227.184.149.255 | 254 |
| 151 | 227.184.150.0/24 | 227.184.150.1 to 227.184.150.254 | 227.184.150.255 | 254 |
| 152 | 227.184.151.0/24 | 227.184.151.1 to 227.184.151.254 | 227.184.151.255 | 254 |
| 153 | 227.184.152.0/24 | 227.184.152.1 to 227.184.152.254 | 227.184.152.255 | 254 |
| 154 | 227.184.153.0/24 | 227.184.153.1 to 227.184.153.254 | 227.184.153.255 | 254 |
| 155 | 227.184.154.0/24 | 227.184.154.1 to 227.184.154.254 | 227.184.154.255 | 254 |
| 156 | 227.184.155.0/24 | 227.184.155.1 to 227.184.155.254 | 227.184.155.255 | 254 |
| 157 | 227.184.156.0/24 | 227.184.156.1 to 227.184.156.254 | 227.184.156.255 | 254 |
| 158 | 227.184.157.0/24 | 227.184.157.1 to 227.184.157.254 | 227.184.157.255 | 254 |
| 159 | 227.184.158.0/24 | 227.184.158.1 to 227.184.158.254 | 227.184.158.255 | 254 |
| 160 | 227.184.159.0/24 | 227.184.159.1 to 227.184.159.254 | 227.184.159.255 | 254 |
| 161 | 227.184.160.0/24 | 227.184.160.1 to 227.184.160.254 | 227.184.160.255 | 254 |
| 162 | 227.184.161.0/24 | 227.184.161.1 to 227.184.161.254 | 227.184.161.255 | 254 |
| 163 | 227.184.162.0/24 | 227.184.162.1 to 227.184.162.254 | 227.184.162.255 | 254 |
| 164 | 227.184.163.0/24 | 227.184.163.1 to 227.184.163.254 | 227.184.163.255 | 254 |
| 165 | 227.184.164.0/24 | 227.184.164.1 to 227.184.164.254 | 227.184.164.255 | 254 |
| 166 | 227.184.165.0/24 | 227.184.165.1 to 227.184.165.254 | 227.184.165.255 | 254 |
| 167 | 227.184.166.0/24 | 227.184.166.1 to 227.184.166.254 | 227.184.166.255 | 254 |
| 168 | 227.184.167.0/24 | 227.184.167.1 to 227.184.167.254 | 227.184.167.255 | 254 |
| 169 | 227.184.168.0/24 | 227.184.168.1 to 227.184.168.254 | 227.184.168.255 | 254 |
| 170 | 227.184.169.0/24 | 227.184.169.1 to 227.184.169.254 | 227.184.169.255 | 254 |
| 171 | 227.184.170.0/24 | 227.184.170.1 to 227.184.170.254 | 227.184.170.255 | 254 |
| 172 | 227.184.171.0/24 | 227.184.171.1 to 227.184.171.254 | 227.184.171.255 | 254 |
| 173 | 227.184.172.0/24 | 227.184.172.1 to 227.184.172.254 | 227.184.172.255 | 254 |
| 174 | 227.184.173.0/24 | 227.184.173.1 to 227.184.173.254 | 227.184.173.255 | 254 |
| 175 | 227.184.174.0/24 | 227.184.174.1 to 227.184.174.254 | 227.184.174.255 | 254 |
| 176 | 227.184.175.0/24 | 227.184.175.1 to 227.184.175.254 | 227.184.175.255 | 254 |
| 177 | 227.184.176.0/24 | 227.184.176.1 to 227.184.176.254 | 227.184.176.255 | 254 |
| 178 | 227.184.177.0/24 | 227.184.177.1 to 227.184.177.254 | 227.184.177.255 | 254 |
| 179 | 227.184.178.0/24 | 227.184.178.1 to 227.184.178.254 | 227.184.178.255 | 254 |
| 180 | 227.184.179.0/24 | 227.184.179.1 to 227.184.179.254 | 227.184.179.255 | 254 |
| 181 | 227.184.180.0/24 | 227.184.180.1 to 227.184.180.254 | 227.184.180.255 | 254 |
| 182 | 227.184.181.0/24 | 227.184.181.1 to 227.184.181.254 | 227.184.181.255 | 254 |
| 183 | 227.184.182.0/24 | 227.184.182.1 to 227.184.182.254 | 227.184.182.255 | 254 |
| 184 | 227.184.183.0/24 | 227.184.183.1 to 227.184.183.254 | 227.184.183.255 | 254 |
| 185 | 227.184.184.0/24 | 227.184.184.1 to 227.184.184.254 | 227.184.184.255 | 254 |
| 186 | 227.184.185.0/24 | 227.184.185.1 to 227.184.185.254 | 227.184.185.255 | 254 |
| 187 | 227.184.186.0/24 | 227.184.186.1 to 227.184.186.254 | 227.184.186.255 | 254 |
| 188 | 227.184.187.0/24 | 227.184.187.1 to 227.184.187.254 | 227.184.187.255 | 254 |
| 189 | 227.184.188.0/24 | 227.184.188.1 to 227.184.188.254 | 227.184.188.255 | 254 |
| 190 | 227.184.189.0/24 | 227.184.189.1 to 227.184.189.254 | 227.184.189.255 | 254 |
| 191 | 227.184.190.0/24 | 227.184.190.1 to 227.184.190.254 | 227.184.190.255 | 254 |
| 192 | 227.184.191.0/24 | 227.184.191.1 to 227.184.191.254 | 227.184.191.255 | 254 |
| 193 | 227.184.192.0/24 | 227.184.192.1 to 227.184.192.254 | 227.184.192.255 | 254 |
| 194 | 227.184.193.0/24 | 227.184.193.1 to 227.184.193.254 | 227.184.193.255 | 254 |
| 195 | 227.184.194.0/24 | 227.184.194.1 to 227.184.194.254 | 227.184.194.255 | 254 |
| 196 | 227.184.195.0/24 | 227.184.195.1 to 227.184.195.254 | 227.184.195.255 | 254 |
| 197 | 227.184.196.0/24 | 227.184.196.1 to 227.184.196.254 | 227.184.196.255 | 254 |
| 198 | 227.184.197.0/24 | 227.184.197.1 to 227.184.197.254 | 227.184.197.255 | 254 |
| 199 | 227.184.198.0/24 | 227.184.198.1 to 227.184.198.254 | 227.184.198.255 | 254 |
| 200 | 227.184.199.0/24 | 227.184.199.1 to 227.184.199.254 | 227.184.199.255 | 254 |
| 201 | 227.184.200.0/24 | 227.184.200.1 to 227.184.200.254 | 227.184.200.255 | 254 |
| 202 | 227.184.201.0/24 | 227.184.201.1 to 227.184.201.254 | 227.184.201.255 | 254 |
| 203 | 227.184.202.0/24 | 227.184.202.1 to 227.184.202.254 | 227.184.202.255 | 254 |
| 204 | 227.184.203.0/24 | 227.184.203.1 to 227.184.203.254 | 227.184.203.255 | 254 |
| 205 | 227.184.204.0/24 | 227.184.204.1 to 227.184.204.254 | 227.184.204.255 | 254 |
| 206 | 227.184.205.0/24 | 227.184.205.1 to 227.184.205.254 | 227.184.205.255 | 254 |
| 207 | 227.184.206.0/24 | 227.184.206.1 to 227.184.206.254 | 227.184.206.255 | 254 |
| 208 | 227.184.207.0/24 | 227.184.207.1 to 227.184.207.254 | 227.184.207.255 | 254 |
| 209 | 227.184.208.0/24 | 227.184.208.1 to 227.184.208.254 | 227.184.208.255 | 254 |
| 210 | 227.184.209.0/24 | 227.184.209.1 to 227.184.209.254 | 227.184.209.255 | 254 |
| 211 | 227.184.210.0/24 | 227.184.210.1 to 227.184.210.254 | 227.184.210.255 | 254 |
| 212 | 227.184.211.0/24 | 227.184.211.1 to 227.184.211.254 | 227.184.211.255 | 254 |
| 213 | 227.184.212.0/24 | 227.184.212.1 to 227.184.212.254 | 227.184.212.255 | 254 |
| 214 | 227.184.213.0/24 | 227.184.213.1 to 227.184.213.254 | 227.184.213.255 | 254 |
| 215 | 227.184.214.0/24 | 227.184.214.1 to 227.184.214.254 | 227.184.214.255 | 254 |
| 216 | 227.184.215.0/24 | 227.184.215.1 to 227.184.215.254 | 227.184.215.255 | 254 |
| 217 | 227.184.216.0/24 | 227.184.216.1 to 227.184.216.254 | 227.184.216.255 | 254 |
| 218 | 227.184.217.0/24 | 227.184.217.1 to 227.184.217.254 | 227.184.217.255 | 254 |
| 219 | 227.184.218.0/24 | 227.184.218.1 to 227.184.218.254 | 227.184.218.255 | 254 |
| 220 | 227.184.219.0/24 | 227.184.219.1 to 227.184.219.254 | 227.184.219.255 | 254 |
| 221 | 227.184.220.0/24 | 227.184.220.1 to 227.184.220.254 | 227.184.220.255 | 254 |
| 222 | 227.184.221.0/24 | 227.184.221.1 to 227.184.221.254 | 227.184.221.255 | 254 |
| 223 | 227.184.222.0/24 | 227.184.222.1 to 227.184.222.254 | 227.184.222.255 | 254 |
| 224 | 227.184.223.0/24 | 227.184.223.1 to 227.184.223.254 | 227.184.223.255 | 254 |
| 225 | 227.184.224.0/24 | 227.184.224.1 to 227.184.224.254 | 227.184.224.255 | 254 |
| 226 | 227.184.225.0/24 | 227.184.225.1 to 227.184.225.254 | 227.184.225.255 | 254 |
| 227 | 227.184.226.0/24 | 227.184.226.1 to 227.184.226.254 | 227.184.226.255 | 254 |
| 228 | 227.184.227.0/24 | 227.184.227.1 to 227.184.227.254 | 227.184.227.255 | 254 |
| 229 | 227.184.228.0/24 | 227.184.228.1 to 227.184.228.254 | 227.184.228.255 | 254 |
| 230 | 227.184.229.0/24 | 227.184.229.1 to 227.184.229.254 | 227.184.229.255 | 254 |
| 231 | 227.184.230.0/24 | 227.184.230.1 to 227.184.230.254 | 227.184.230.255 | 254 |
| 232 | 227.184.231.0/24 | 227.184.231.1 to 227.184.231.254 | 227.184.231.255 | 254 |
| 233 | 227.184.232.0/24 | 227.184.232.1 to 227.184.232.254 | 227.184.232.255 | 254 |
| 234 | 227.184.233.0/24 | 227.184.233.1 to 227.184.233.254 | 227.184.233.255 | 254 |
| 235 | 227.184.234.0/24 | 227.184.234.1 to 227.184.234.254 | 227.184.234.255 | 254 |
| 236 | 227.184.235.0/24 | 227.184.235.1 to 227.184.235.254 | 227.184.235.255 | 254 |
| 237 | 227.184.236.0/24 | 227.184.236.1 to 227.184.236.254 | 227.184.236.255 | 254 |
| 238 | 227.184.237.0/24 | 227.184.237.1 to 227.184.237.254 | 227.184.237.255 | 254 |
| 239 | 227.184.238.0/24 | 227.184.238.1 to 227.184.238.254 | 227.184.238.255 | 254 |
| 240 | 227.184.239.0/24 | 227.184.239.1 to 227.184.239.254 | 227.184.239.255 | 254 |
| 241 | 227.184.240.0/24 | 227.184.240.1 to 227.184.240.254 | 227.184.240.255 | 254 |
| 242 | 227.184.241.0/24 | 227.184.241.1 to 227.184.241.254 | 227.184.241.255 | 254 |
| 243 | 227.184.242.0/24 | 227.184.242.1 to 227.184.242.254 | 227.184.242.255 | 254 |
| 244 | 227.184.243.0/24 | 227.184.243.1 to 227.184.243.254 | 227.184.243.255 | 254 |
| 245 | 227.184.244.0/24 | 227.184.244.1 to 227.184.244.254 | 227.184.244.255 | 254 |
| 246 | 227.184.245.0/24 | 227.184.245.1 to 227.184.245.254 | 227.184.245.255 | 254 |
| 247 | 227.184.246.0/24 | 227.184.246.1 to 227.184.246.254 | 227.184.246.255 | 254 |
| 248 | 227.184.247.0/24 | 227.184.247.1 to 227.184.247.254 | 227.184.247.255 | 254 |
| 249 | 227.184.248.0/24 | 227.184.248.1 to 227.184.248.254 | 227.184.248.255 | 254 |
| 250 | 227.184.249.0/24 | 227.184.249.1 to 227.184.249.254 | 227.184.249.255 | 254 |
| 251 | 227.184.250.0/24 | 227.184.250.1 to 227.184.250.254 | 227.184.250.255 | 254 |
| 252 | 227.184.251.0/24 | 227.184.251.1 to 227.184.251.254 | 227.184.251.255 | 254 |
| 253 | 227.184.252.0/24 | 227.184.252.1 to 227.184.252.254 | 227.184.252.255 | 254 |
| 254 | 227.184.253.0/24 | 227.184.253.1 to 227.184.253.254 | 227.184.253.255 | 254 |
| 255 | 227.184.254.0/24 | 227.184.254.1 to 227.184.254.254 | 227.184.254.255 | 254 |
| 256 | 227.184.255.0/24 | 227.184.255.1 to 227.184.255.254 | 227.184.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |